import { Entity, Column, PrimaryGeneratedColumn, Timestamp } from 'typeorm';

import { IsEmail, IsNotEmpty, Equals } from 'class-validator';

@Entity('{{name}}')
export class {{name|capitalize}} {
  @PrimaryGeneratedColumn()
  id: number;  
  {% for attr in attributes -%}
  {% if attr.length %}
  @Column({ length: {{attr.length}} })
  {%endif-%}
  @IsNotEmpty()
  {{attr.name}}: {{attr.type}};
  {%endfor%}

  @Column('timestamp', { default: () => `now()` })
  createdAt: Timestamp

  @Column('timestamp', { default: () => "CURRENT_TIMESTAMP")})
  updateAt: Timestamp

}